# Uses of Interface
org.eclipse.ui.IPartListener2

Packages that use IPartListener2
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.internal

## Uses of IPartListener2 in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type IPartListener2
Modifier and Type
Method
Description
`void`
IPartService.`addPartListener(IPartListener2 listener)`
Adds the given listener for part lifecycle events.
`void`
IPartService.`removePartListener(IPartListener2 listener)`
Removes the given part listener.

## Uses of IPartListener2 in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IPartListener2
Modifier and Type
Class
Description
`class`
`ObjectPluginAction`
An object action extension in a popup menu.
`class`
`PartService`
Methods in org.eclipse.ui.internal with parameters of type IPartListener2
Modifier and Type
Method
Description
`void`
PartService.`addPartListener(IPartListener2 listener)`
`void`
SlavePartService.`addPartListener(IPartListener2 listener)`
`void`
WorkbenchPage.`addPartListener(IPartListener2 l)`
Adds an IPartListener to the part service.
`void`
PartService.`removePartListener(IPartListener2 listener)`
`void`
SlavePartService.`removePartListener(IPartListener2 listener)`
`void`
WorkbenchPage.`removePartListener(IPartListener2 l)`
Removes an IPartListener from the part service.